/*

Tooplate 2117 Infinite Loop

https://www.tooplate.com/view/2117-infinite-loop

*/

@import url("https://fonts.googleapis.com/css?family=Raleway:100,300,400,500,700,900");

body {
	font-family: "Raleway", sans-serif;
	font-size: 1.2em;
  color: #707070;
  margin: 0;
  padding: 0;
  overflow-x: hidden;
}
a {
  transition: all 0.3s ease;
  color: orange; /*#38B;*/
}

a:hover,
a:focus {
  text-decoration: none;
  color: #D40;
}

a:focus {
  outline: none;
}

.btn {
  padding: 8px 32px;
}

.btn:hover {
  background-color: #ced4da;
}

blockquote {
  font-size: 0.86em;
  line-height: 1.8em;
}

.tm-section-pad-top {
  padding-top: 80px;
  padding-bottom: 40px;
}

.tm-section-pad-top-arch {
  padding-top: 80px;
  padding-bottom: 40px;
  width: 100%;
  height: 1300px;
}

.tm-content-box {
  padding-top: 20px;
  padding-bottom: 40px;
}

.tm-text-primary {
  color: #333; /*#37A;*/
}



.tm-font-big {
  font-size: 1.25rem;
}

.tm-btn-primary {
  color: white;
  background-color: #333; /*369*/
  padding: 14px 30px;
}

.tm-btn-primary:hover,
.tm-btn-primary:focus {
  color: white;
  background-color: #333; /*#38B;*/
}

/* Navbar */

.tm-navbar {
  position: fixed;
  width: 100%;
  z-index: 1000;
  background-color: transparent;
  transition: all 0.3s ease;
}

.tm-navbar.scroll {
  background-color: white;
  border-bottom: 1px solid #e9ecef;
}

.navbar-brand {
  color: white;
  font-size: 1.4rem;
  font-weight: bold;
}

.navbar-brand:hover,
.tm-navbar.scroll .navbar-brand:hover {
  color: rgb(114, 7, 136); /*#38B;explainable AI hover*/
}

.tm-navbar.scroll .navbar-brand { /*explainable ai title top-left*/
  color: #333; /*#369;*/
}

.nav-item {
  list-style: none;
}

.tm-nav-link { /*navigation bar text*/
  color: white;
  text-align: center;
}

.tm-navbar.scroll .tm-nav-link {
  color: #333; /*#369;*/
}

.tm-navbar.scroll .tm-nav-link:hover,
.tm-navbar.scroll .tm-nav-link.current,
.tm-nav-link:hover {
  color: #FFF;
  background-color: #333; /*#369;*/
}

.navbar-toggler {
  border: 1px solid white;
  padding-left: 10px;
  padding-right: 10px;
  
}

.navbar-toggler-icon {
  color: white;
  padding-top: 6px;
}

.tm-navbar.scroll .navbar-toggler {
  border: 1px solid #707070;
}

.tm-navbar.scroll .navbar-toggler-icon {
  color: #707070;
}

/* Hero */

#XAI {
	background-color: #222;
  background-image: url(../img/home.jpg); /*url(../img/infinite-loop-01.jpg);*/
  background-repeat: no-repeat;
  height: 100vh;
  min-height: 375px;
  position: relative;
}

@media (min-height: 600px) and (min-width: 1920px) {
  #XAI {
    background-size: cover;
  }
}

@media (min-height: 830px) {
  #XAI {
    background-position: center -210px;
  }
}

@media (min-height: 680px) and (max-height: 829px) {
  #XAI {
    background-position: center -300px;
  }
}

@media (min-height: 500px) and (max-height: 679px) {
  #XAI {
    background-position: center -400px;
  }
}

@media (max-height: 499px) {
  #XAI {
    background-position: center -450px;
  }
}

.tm-hero-text-container {
  width: 100%;
  height: 100%;
  display: flex;
  flex-flow: column;
  justify-content: center;
}

.tm-hero-text-container-inner {
  margin-top: -90px;
}

.tm-hero-title {
  font-size: 3.5rem;
  text-shadow: 2px 2px 2px #333;
}

.tm-hero-subtitle {
  font-size: 2rem;
  text-shadow: 2px 2px 2px #333;
}

.tm-hero-subsubtitle {
  text-shadow: 2px 2px 2px #333;
}

.tm-intro-next {
  position: absolute;
  bottom: 100px;
  left: 0;
  right: 0;
}


/* Introduction */

#introduction {
  padding-bottom: 100px;
}

.tm-section-title {
  font-size: 2.6rem;
  font-weight: normal;
}

.tm-section-title-attention {
  font-size: 2.6rem;
  font-weight: normal;
  color:#333;
}

.tm-intro-text {
  font-size: 1.2rem;
  text-align: justify;
  text-justify: inter-word;
  color:#333;
}

.tm-icon {
  display: block;
  color: #333; /*#37A;*/
}


.tm-continue {
	padding: 20px 0 30px 0;
}


.tm-transformer-item {
  max-width: 1000px;
  margin-left: 35px;
  margin-right: 35px;
}


.caption{
  text-align:center;
  color:#777;
  font-size: 1rem;
  margin-top: 15px;
}

/*basic notions*/

#basics {
  background-color:#333;
  padding-bottom: 100px;
}

.tm-section-title {
  font-size: 2.6rem;
  font-weight: normal;
}

.tm-text-primary-basics {
  color: white; /*#37A;*/
}

.tm-basics-text-container {
  padding-top: 5px; /*70*/
  padding-bottom: 5px;
}

.tm-basics-text {
  font-size: 1.2rem;
  text-align: justify;
  text-justify: inter-word;
  color:white;
}

.tm-basics-text-plot {
  font-size: 1rem;
  text-align: justify;
  text-justify: inter-word;
  color:#777;
}


.tm-icon-basics {
  display: block;
  color: white; /*#37A;*/
}

.tm-continue {
	padding: 20px 0 30px 0;
}

.object-container{
  vertical-align: middle;
}

/* architecture */

img{
  opacity:1;
}

#architecture {
  color: #333;
  background-image: url(../img/architecture.jpg);
  background-size: cover;
  background-repeat: no-repeat;
  background-size: 100%;
  position: relative;
  height: 1175px;
}

@media (max-width: 991px) {
  #architecture {
    background-image: url(../img/architecture_mobile.jpg);
  }
}

.tm-architecture-content {
  position: relative;
  z-index: 100;
}

.tm-section-title-architecture {
  color:#333;
  font-size: 2.6rem;
  font-weight: normal;
}

.tm-bg-overlay {
  width: 100%;
  height: 100%;
  /*background: rgba(20, 70, 80, 0.2);*/
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  z-index: 0;
  color: #333;
}

.tm-architecture-carousel {
  max-width: 1050px;
  margin: 0 auto;
}

.tm-testimonial-item {
  max-width: 290px;
  margin-left: 35px;
  margin-right: 35px;
}

.tm-testimonial-item img {
  border-radius: 50%;
  margin-bottom: 35px;
}

.tm-testimonial-item figcaption {
  text-align: right;
  font-style: italic;
  font-size: 1.1rem;
  color: #333;
}

.tm-arch-text {
  font-size: 1.2rem;
  color:#333;
}

.tm-text-primary-arch {
  color: #333; /*#37A;*/
}

.arch-center {
  display: block;
  margin-left: auto;
  margin-right: auto;
}

/* Attention */

.tm-text-primary-attention {
  color: #333; /*#37A;*/
}

li { 
  color:#333;
  line-height: 200%;
} 


.tm-section-desc {
  max-width: 650px;
  width: 100%;
  font-size: 0.9rem;
}

.tm-gallery-container {
  padding-top: 120px; /*70*/
  padding-bottom: 120px;
}

.tm-gallery-item {
  margin: 0 15px; /*0 15*/
}

.slick-dots {
  bottom: -65px;
}

.slick-dots li {
  margin: 0 13px;
}

.slick-dots li button:hover:before,
.slick-dots li button:focus:before,
.slick-dots li.slick-active button:before {
  opacity: 1;
  color: #333; /*#3ba0dd;*/
}

.tm-architecture-carousel .slick-dots li button:before {
  color: white;
  opacity: 0.5;
}

.tm-architecture-carousel .slick-dots li button:hover:before,
.tm-architecture-carousel .slick-dots li button:focus:before,
.tm-architecture-carousel .slick-dots li.slick-active button:before {
  color: white;
  opacity: 1;
}

.slick-dots li button:before {
  font-size: 18px;
}


.row {
  display: flex;
}

.column {
  flex: 50%;
  padding: 5px;
}

.third_column {
  flex: 33%;
  padding: 20px;
}

.quarter_column {
  font-size: 1.2rem;
  text-align: justify;
  text-justify: inter-word;
  flex: 25%;
  padding-left: 50px;
}



.three_quarter_column {
  font-size: 1.2rem;
  text-align: justify;
  text-justify: inter-word;
  flex: 75%;
  padding: 15px;
}

/* Hover Effect */
/* Common style */
.grid figure {
  position: relative;
  float: left;
  overflow: hidden;
  background: #333; /*#3085a3; color lletres hover*/
  text-align: center;
  cursor: pointer;
}

.grid figure img {
  position: relative;
  display: block;
  min-height: 100%;
  max-width: 100%;
  opacity: 0.8;
}

.grid figure figcaption {
  padding: 2em;
  color: #fff;
  text-transform: uppercase;
  font-size: 1.25em;
  -webkit-backface-visibility: hidden;
  backface-visibility: hidden;
}

.grid figure figcaption::before,
.grid figure figcaption::after {
  pointer-events: none;
}

.grid figure figcaption,
.grid figure figcaption > a {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}

/* Anchor will cover the whole item by default */
/* For some effects it will show as a button */
.grid figure figcaption > a {
  z-index: 1000;
  text-indent: 200%;
  white-space: nowrap;
  font-size: 0;
  opacity: 0;
}

.grid figure h2 {
  word-spacing: -0.15em;
  font-size: 0.9em;
  font-weight: 300;
}

.grid figure h2 span {
  font-weight: 600;
}

.grid figure h2,
.grid figure p {
  margin: 0;
}

.grid figure p {
  letter-spacing: 1px;
  font-size: 68.5%;
}

/*---------------*/
/***** Honey *****/
/*---------------*/

figure.effect-honey {
  background: #333;
  max-width: 220px;
}

figure.effect-honey img {
  opacity: 1;
  -webkit-transition: opacity 0.35s;
  transition: opacity 0.35s;
}

figure.effect-honey:hover img {
  opacity: 0.4;
}

figure.effect-honey figcaption::before {
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 10px;
  background: #333; /*#38C;*/
  content: "";
  -webkit-transform: translate3d(0, 10px, 0);
  transform: translate3d(0, 10px, 0);
}

figure.effect-honey h2 {
  position: absolute;
  bottom: 0;
  left: 0;
  padding: 1em 1.5em;
  width: 100%;
  text-align: left;
  -webkit-transform: translate3d(0, -30px, 0);
  transform: translate3d(0, -30px, 0);
}

figure.effect-honey h2 i {
  font-style: normal;
  opacity: 0;
  -webkit-transition: opacity 0.35s, -webkit-transform 0.35s;
  transition: opacity 0.35s, transform 0.35s;
  -webkit-transform: translate3d(0, -30px, 0);
  transform: translate3d(0, -30px, 0);
}

figure.effect-honey figcaption::before,
figure.effect-honey h2 {
  -webkit-transition: -webkit-transform 0.35s;
  transition: transform 0.35s;
}

figure.effect-honey:hover figcaption::before,
figure.effect-honey:hover h2,
figure.effect-honey:hover h2 i {
  opacity: 1;
  -webkit-transform: translate3d(0, 0, 0);
  transform: translate3d(0, 0, 0);
}

.tm-container-gallery {
	padding-top: 30px;
  }

/* Training */


#train {
	background-color: #222;
  /*background-image: url(../img/neural.jpg); url(../img/infinite-loop-01.jpg);*/
  background-repeat: no-repeat;
  height: auto;
  min-height: 375px;
  position: relative;
}


@media (min-height: 600px) and (min-width: 1920px) {
  #train {
    background-size: cover;
  }
}

@media (min-height: 830px) {
  #train {
    background-position: center -210px;
  }
}

@media (min-height: 680px) and (max-height: 829px) {
  #train {
    background-position: center -300px;
  }
}

@media (min-height: 500px) and (max-height: 679px) {
  #train {
    background-position: center -400px;
  }
}

@media (max-height: 499px) {
  #train {
    background-position: center -450px;
  }
}

.tm-train-text-container {
  width: 100%;
  height: 100%;
  display: flex;
  flex-flow: column;
  justify-content: center;
}

.tm-train-text-container-inner {
  margin-top: -90px;
}

.tm-train-title {
  font-size: 3.5rem;
  text-shadow: 2px 2px 2px #333;
}

.tm-train-subtitle {
  text-shadow: 2px 2px 2px #333;
}

.tm-intro-next-train {
  position: absolute;
  bottom: 100px;
  left: 0;
  right: 0;
}

@media (max-height: 480px) {
  .tm-train-text-container-inner {
    margin-top: -40px;
  }

  .tm-intro-next-train {
    bottom: 20px;
  }
}


.tm-text-primary-train {
  color: white; /*#37A;*/
}

.tm-text-primary-train-center {
  color: white; /*#37A;*/
  text-align: center;
}

.tm-icon-train {
  display: block;
  color: white;
}


.li-train{
  color: white;
}


/* Details */

#tips {
  color: white;
  background-color: #001828;
  background-image: url(../img/details.png);
  background-position: center;
  background-repeat: no-repeat;
  min-height: 980px;
  position: relative;
  padding-bottom: 50px;
  padding-top: 100px;
}

.contact-item {
  margin-left: 20px;
  margin-bottom: 50px;
}

.item-link {
  display: flex;
  align-items: center;
}

.item-link i,
.item-link span {
  color: white;
  transition: all 0.3s ease;
}

.item-link:hover i,
.item-link:hover span {
  color: white;
}

.tm-input {
	margin: 0 0 20px 0;
	width: 90%;
  padding: 8px 20px;
  border-radius: 6px;
  border: 1px solid white;
  background: transparent;
  color: white;
}

.tm-btn-submit {
	font-size: 0.9em;
	color: #fff;
	background-color: #369;
	width: 50%;
	margin-bottom: 60px;
}

.tm-btn-submit:hover {
	color: #fff;
	background-color: #38B;
}

::placeholder {
  /* Chrome, Firefox, Opera, Safari 10.1+ */
  color: white;
  opacity: 1; /* Firefox */
}

:-ms-input-placeholder {
  /* Internet Explorer 10-11 */
  color: white;
}

::-ms-input-placeholder {
  /* Microsoft Edge */
  color: white;
}

.tm-footer {
  position: absolute;
  bottom: 35px;
  left: 0;
  right: 0;
  padding: 0 15px;
}

.tm-footer a {
	color: #333;
}

.tm-footer a:hover {
	color: #9CF;
}

.tm-footer-link {
  color: white;
}

.tm-footer-link:hover,
.tm-footer-link:focus {
  color: #38B;
  text-decoration: none;
}

p {
  line-height: 1.9;
}

@media (min-width: 768px) {
  .tm-intro-text-container {
    padding-left: 0px;
  }

  .navbar-expand-md .navbar-nav .nav-link {
    padding-right: 30px;
    padding-left: 30px;
  }
}

@media (min-width: 1200px) {
  .container {
    max-width: 1275px;
  }

  .tm-container-gallery {
    max-width: 1290px;
  }

  .tm-container-contact {
    max-width: 1063px;
  }
}

@media (max-width: 991px) {
  .tm-intro-text-container {
    padding-left: 15px;
    padding-top: 30px;
    max-width: 600px;
    margin-left: auto;
    margin-right: auto;
  }

  .tm-intro-img {
    display: block;
    margin-left: auto;
    margin-right: auto;
  }

  .tm-btn-submit {
    margin-left: 0;
    margin-top: 20px;
  }
}

@media (max-width: 767px) {

  .navbar-nav {
    max-width: 200px;
    text-align: right;
  }

  .navbar-collapse {
    background-color: rgb(255, 255, 255);
    padding: 10px;
    border-radius: 3px;
  }

  .navbar-collapse .nav-link {
    color: #707070;
	padding-right: 20px;
  }
}

@media (max-width: 480px) {
  .tm-gallery-container {
    max-width: 220px;
    margin-left: auto;
    margin-right: auto;
  }

  .tm-gallery-container-2 {
    max-width: 350px;
  }

  .slick-dots li {
    margin: 0 8px;
  }

  .tm-gallery-item {
    margin: 0;
  }
}

/*tips: collapsible*/

 /* Style the buttons that are used to open and close the accordion panel */
 .accordion {
  background-color:transparent; 
  color:white;
  cursor: pointer;
  padding: 18px;
  width: 100%;
  text-align: left;
  border-left-color: transparent;
  border-right-color: transparent;
  border-top-color: transparent;
  border-bottom-color: white;
  outline: none;
  transition: 0.4s;
  font-style: bold;
}

/* Add a background color to the button if it is clicked on (add the .active class with JS), and when you move the mouse over it (hover) */
.active, .accordion:hover {
  background-color: None;
}

/* Style the accordion panel. Note: hidden by default */
.panel {
  padding: 0 18px;
  background-color: None;
  max-height: 0;
  overflow: hidden;
  transition: max-height 0.2s ease-out;
}

.accordion:after {
  content: '\02795'; /* Unicode character for "plus" sign (+) */
  font-size: 13px;
  color: None;
  float: right;
  margin-left: 5px;
}

.active-acc:after {
  content: "\2796"; /* Unicode character for "minus" sign (-) */
  color:#fff;
}

/* More */

.row_more {
  display: flex;
  flex-wrap: wrap;
  padding: 0 4px;
  margin-left: -5px;
  margin-right: 60px;
}

/* Create four equal columns that sits next to each other */
.column_more {
  flex: 20%;
  max-width: 17%;
  padding: 0 4px;
  align-content: center;
  margin-left: auto;
  margin-right: auto;
}

.column_more img {
  margin-top: 0px;
  vertical-align: middle;
  align-content: center;
  width: 235px;
  height:235px;
  display:inline-block;
}


.box {  
  cursor: pointer;  
  float: left;  
  margin: 5px; 
  position: relative;  
  overflow: hidden;  
  height: 235px;  
  width: 235px;  

}  

.box img {  
  position: absolute;  
  left: 0;  
  -webkit-transition: all 300ms ease-out;  
  -moz-transition: all 300ms ease-out;  
  -o-transition: all 300ms ease-out;  
  -ms-transition: all 300ms ease-out;  
  transition: all 300ms ease-out;  
}  


.box .caption {  
  /*font-size: .5em;*/
  background-color: #333;  
  /*position: absolute;  <*/
  color: #fff;  
  z-index: 100;  
  -webkit-transition: all 300ms ease-out;  
  -moz-transition: all 300ms ease-out;  
  -o-transition: all 300ms ease-out;  
  -ms-transition: all 300ms ease-out;  
  transition: all 300ms ease-out;  
  left: 0;  
  opacity: 0;  
  width: 235px; 
  height: 235px;  
  text-align: left;  
  /*padding: 5px;*/

  font-size: 15px;
  padding: 8px 12px; /*title & subtitle*/
  position: absolute;
  bottom: 0px;
  /*width: 100%;*/
  text-align: center;

  margin-top: 8px;
  vertical-align: middle;
  /*width: 100%;*/
  display:inline-block;

}




.box:hover .fade-caption {  
  opacity: 0.8;  
}  



#more {
	background-color: #fff;
  /*background-image: url(../img/neural.jpg); url(../img/infinite-loop-01.jpg);*/
  background-repeat: no-repeat;
  height: 95vh;
  min-height: 375px;
  position: relative;
}

@media (min-height: 600px) and (min-width: 1920px) {
  #more {
    background-size: cover;
  }
}

@media (min-height: 830px) {
  #more {
    background-position: center -210px;
  }
}

@media (min-height: 680px) and (max-height: 829px) {
  #more {
    background-position: center -300px;
  }
}

@media (min-height: 500px) and (max-height: 679px) {
  #more {
    background-position: center -400px;
  }
}

@media (max-height: 499px) {
  #more {
    background-position: center -450px;
  }
}

.tm-more-text-container {
  width: 100%;
  height: 100%;
  display: flex;
  flex-flow: column;
  justify-content: center;
}

.tm-more-text-container-inner {
  margin-top: -90px;
}

.tm-more-title {
  font-size: 3.5rem;
  text-shadow: 2px 2px 2px #333;
}

.tm-more-subtitle {
  text-shadow: 2px 2px 2px #333;
}

.tm-more-text {
  font-size: 1.2rem;
  text-align: justify;
  text-justify: inter-word;
  color:#333;
}

.tm-intro-next-more {
  position: absolute;
  bottom: 100px;
  left: 0;
  right: 0;
}

@media (max-height: 480px) {
  .tm-more-text-container-inner {
    margin-top: -40px;
  }

  .tm-intro-next-more {
    bottom: 20px;
  }
}


* {box-sizing:border-box}

/* Slideshow container */
.slideshow-container {
  max-width: 1000px;
  position: relative;
  margin: auto;
  width: 1000px;
  height: 850px;
}

/* Hide the images by default */
.mySlides {
  display: none;
}

/* Next & previous buttons */
.prev, .next {
  cursor: pointer;
  position: absolute;
  top: 50%;
  width: auto;
  margin-top: -22px;
  padding: 16px;
  color: #333;
  font-weight: bold;
  font-size: 18px;
  transition: 0.6s ease;
  border-radius: 0 3px 3px 0;
  user-select: none;
}

/* Position the "next button" to the right */
.next {
  right: 0;
  border-radius: 3px 0 0 3px;
}


/* On hover, add a black background color with a little bit see-through */
.prev:hover, .next:hover {
  background-color: transparent;
}

/* Caption text */
.text {
  color: #333;
  font-size: 15px;
  padding: 8px 12px;
  position: absolute;
  bottom: 8px;
  width: 100%;
  text-align: center;
}

/* Number text (1/3 etc) */
.numbertext {
  color: #333;
  font-size: 12px;
  padding: 8px 12px;
  position: absolute;
  top: 0;
}

/* The dots/bullets/indicators */
.dot {
  cursor: pointer;
  height: 15px;
  width: 15px;
  margin: 0 2px;
  background-color: #333;
  border-radius: 50%;
  display: inline-block;
  transition: background-color 0.6s ease;
}

.active, .dot:hover {
  background-color: #949393;
}

/* Fading animation */

.fade {
  -webkit-animation-name: fade;
  -webkit-animation-duration: 1.5s;
  animation-name: fade;
  animation-duration: 1.5s;
  animation-fill-mode:forwards;
}

@-webkit-keyframes fade {
  from {opacity: 0.6}
  to {opacity: 1}
}

@keyframes fade {
  from {opacity: 0.6}
  to {opacity: 1}
}
